2
回答
用livecd-creator 生成iso是出现下列问题怎么解决
利用AWS快速构建适用于生产的无服务器应用程序,免费试用12个月>>>   

@China_OS 你好,想跟你请教个问题:

........................

.........................

Retrieving http://mirrors.163.com/centos/6.3/os/i386/Packages/xkeyboard-config-2.3-1.el6.noarch.rpm ...OK
Retrieving http://mirrors.163.com/centos/6.3/os/i386/Packages/xz-libs-4.999.9-0.3.beta.20091007git.el6.i686.rpm ...OK
Retrieving http://mirrors.163.com/centos/6.3/os/i386/Packages/zlib-1.2.3-27.el6.i686.rpm ...OK
warning: setup-2.8.14-16.el6.noarch: Header V3 RSA/SHA1 Signature, key ID c105b9de: NOKEY
  Installing: setup                        ##################### [  1/145] 
  Installing: filesystem                   ##################### [  2/145] 
  Installing: basesystem                   ##################### [  3/145] 
  Installing: tzdata                       ##################### [  4/145] 
  Installing: kernel-firmware              ##################### [  5/145] 
  Installing: ca-certificates              ##################### [  6/145] 
  Installing: ncurses-base                 ##################### [  7/145] 
  Installing: centos-release               ##################### [  8/145] 
  Installing: kbd-misc                     ##################### [  9/145] 
  Installing: libgcc                       ##################### [ 10/145] 
  Installing: comps-extras                 ##################### [ 11/145] 
  Installing: rootfiles                    ##################### [ 12/145] 
  Installing: nss-softokn-freebl           ##################### [ 13/145] 
  Installing: glibc-common                 ##################### [ 14/145] 
warning: %post(glibc-common-2.12-1.80.el6.i686) scriptlet failed, exit status 127
warning: %triggerin(glibc-common-2.12-1.80.el6.i686) scriptlet failed, exit status 127
  Installing: glibc                        ##################### [ 15/145] 
warning: %post(glibc-2.12-1.80.el6.i686) scriptlet failed, exit status 127
  Installing: ncurses-libs                 ##################### [ 16/145] 
warning: %post(ncurses-libs-5.7-3.20090208.el6.i686) scriptlet failed, exit status 127
  Installing: bash                         ##################### [ 17/145] 
  Installing: libattr                      ##################### [ 18/145] 
warning: %post(libattr-2.4.44-7.el6.i686) scriptlet failed, exit status 127
  Installing: libcap                       ##################### [ 19/145] 
warning: %post(libcap-2.16-5.5.el6.i686) scriptlet failed, exit status 127
  Installing: zlib                         ##################### [ 20/145] 
warning: %post(zlib-1.2.3-27.el6.i686) scriptlet failed, exit status 127
  Installing: info                         ##################### [ 21/145] 
warning: %post(info-4.13a-8.el6.i686) scriptlet failed, exit status 127
  Installing: popt                         ##################### [ 22/145] 
warning: %post(popt-1.13-7.el6.i686) scriptlet failed, exit status 127
  Installing: nspr                         ##################### [ 23/145] 
warning: %post(nspr-4.9-1.el6.i686) scriptlet failed, exit status 127
  Installing: db4                          ##################### [ 24/145] 
warning: %post(db4-4.7.25-17.el6.i686) scriptlet failed, exit status 127
  Installing: nss-util                     ##################### [ 25/145] 
warning: %post(nss-util-3.13.3-2.el6.i686) scriptlet failed, exit status 127
  Installing: libsepol                     ##################### [ 26/145] 
warning: %post(libsepol-2.0.41-4.el6.i686) scriptlet failed, exit status 127
  Installing: libselinux                   ##################### [ 27/145] 
warning: %post(libselinux-2.0.94-5.3.el6.i686) scriptlet failed, exit status 127
  Installing: gamin                        ##################### [ 28/145] 
warning: %post(gamin-0.1.10-9.el6.i686) scriptlet failed, exit status 127
  Installing: glib2                        ##################### [ 29/145] 
warning: %post(glib2-2.22.5-7.el6.i686) scriptlet failed, exit status 127
  Installing: sed                          ##################### [ 30/145] 
warning: %post(sed-4.2.1-10.el6.i686) scriptlet failed, exit status 127
  Installing: chkconfig                    ##################### [ 31/145] 
  Installing: libacl                       ##################### [ 32/145] 
warning: %post(libacl-2.2.49-6.el6.i686) scriptlet failed, exit status 127
  Installing: audit-libs                   ##################### [ 33/145] 
warning: %post(audit-libs-2.2-2.el6.i686) scriptlet failed, exit status 127
  Installing: bzip2-libs                   ##################### [ 34/145] 
warning: %post(bzip2-libs-1.0.5-7.el6_0.i686) scriptlet failed, exit status 127
  Installing: shadow-utils                 ##################### [ 35/145] 
  Installing: readline                     ##################### [ 36/145] 
warning: %post(readline-6.0-4.el6.i686) scriptlet failed, exit status 127
  Installing: libuuid                      ##################### [ 37/145] 
warning: %post(libuuid-2.17.2-12.7.el6.i686) scriptlet failed, exit status 127
  Installing: dbus-libs                    ##################### [ 38/145] 
warning: %post(dbus-libs-1:1.2.24-5.el6_1.i686) scriptlet failed, exit status 127
  Installing: libstdc++                    ##################### [ 39/145] 
warning: %post(libstdc++-4.4.6-4.el6.i686) scriptlet failed, exit status 127
  Installing: libcom_err                   ##################### [ 40/145] 
warning: %post(libcom_err-1.41.12-12.el6.i686) scriptlet failed, exit status 127
  Installing: libblkid                     ##################### [ 41/145] 
warning: %post(libblkid-2.17.2-12.7.el6.i686) scriptlet failed, exit status 127
  Installing: sqlite                       ##################### [ 42/145] 
warning: %post(sqlite-3.6.20-1.el6.i686) scriptlet failed, exit status 127
  Installing: gawk                         ##################### [ 43/145] 
warning: %post(gawk-3.1.7-9.el6.i686) scriptlet failed, exit status 127
  Installing: libidn                       ##################### [ 44/145] 
warning: %post(libidn-1.18-2.el6.i686) scriptlet failed, exit status 127
  Installing: file-libs                    ##################### [ 45/145] 
warning: %post(file-libs-5.04-13.el6.i686) scriptlet failed, exit status 127
  Installing: pcre                         ##################### [ 46/145] 
warning: %post(pcre-7.8-4.el6.i686) scriptlet failed, exit status 127
  Installing: grep                         ##################### [ 47/145] 
warning: %post(grep-2.6.3-3.el6.i686) scriptlet failed, exit status 127
  Installing: lua                          ##################### [ 48/145] 
  Installing: findutils                    ##################### [ 49/145] 
warning: %post(findutils-1:4.4.2-6.el6.i686) scriptlet failed, exit status 127
  Installing: cpio                         ##################### [ 50/145] 
warning: %post(cpio-2.10-10.el6.i686) scriptlet failed, exit status 127
  Installing: xz-libs                      ##################### [ 51/145] 
warning: %post(xz-libs-4.999.9-0.3.beta.20091007git.el6.i686) scriptlet failed, exit status 127
  Installing: libudev                      ##################### [ 52/145] 
warning: %post(libudev-147-2.41.el6.i686) scriptlet failed, exit status 127
  Installing: sysvinit-tools               ##################### [ 53/145] 
  Installing: expat                        ##################### [ 54/145] 
warning: %post(expat-2.0.1-11.el6_2.i686) scriptlet failed, exit status 127
  Installing: gdbm                         ##################### [ 55/145] 
warning: %post(gdbm-1.8.0-36.el6.i686) scriptlet failed, exit status 127
  Installing: perl-Pod-Escapes             ##################### [ 56/145] 
  Installing: perl-Module-Pluggable        ##################### [ 57/145] 
  Installing: perl-Pod-Simple              ##################### [ 58/145] 
  Installing: perl-version                 ##################### [ 59/145] 
  Installing: perl-libs                    ##################### [ 60/145] 
warning: %post(perl-libs-4:5.10.1-127.el6.i686) scriptlet failed, exit status 127
  Installing: perl                         ##################### [ 61/145] 
  Installing: elfutils-libelf              ##################### [ 62/145] 
warning: %post(elfutils-libelf-0.152-1.el6.i686) scriptlet failed, exit status 127
  Installing: dbus-glib                    ##################### [ 63/145] 
warning: %post(dbus-glib-0.86-5.el6.i686) scriptlet failed, exit status 127
  Installing: file                         ##################### [ 64/145] 
  Installing: nss-softokn                  ##################### [ 65/145] 
warning: %post(nss-softokn-3.12.9-11.el6.i686) scriptlet failed, exit status 127
  Installing: grubby                       ##################### [ 66/145] 
  Installing: gmp                          ##################### [ 67/145] 
warning: %post(gmp-4.3.1-7.el6_2.2.i686) scriptlet failed, exit status 127
  Installing: libusb                       ##################### [ 68/145] 
warning: %post(libusb-0.1.12-23.el6.i686) scriptlet failed, exit status 127
  Installing: libnih                       ##################### [ 69/145] 
warning: %post(libnih-1.0.1-7.el6.i686) scriptlet failed, exit status 127
  Installing: upstart                      ##################### [ 70/145] 
error: %pre(libutempter-1.1.5-4.1.el6.i686) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping libutempter-1.1.5-4.1.el6
error: %pre(MAKEDEV-3.24-6.el6.i686) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping MAKEDEV-3.24-6.el6
  Installing: bzip2                        ##################### [ 73/145] 
  Installing: tar                          ##################### [ 74/145] 
warning: %post(tar-2:1.23-7.el6.i686) scriptlet failed, exit status 127
  Installing: iptables                     ##################### [ 75/145] 
warning: %post(iptables-1.4.7-5.1.el6_2.i686) scriptlet failed, exit status 127
  Installing: iproute                      ##################### [ 76/145] 
  Installing: psmisc                       ##################### [ 77/145] 
  Installing: checkpolicy                  ##################### [ 78/145] 
  Installing: procps                       ##################### [ 79/145] 
warning: %post(procps-3.2.8-23.el6.i686) scriptlet failed, exit status 127
  Installing: net-tools                    ##################### [ 80/145] 
  Installing: libselinux-utils             ##################### [ 81/145] 
  Installing: db4-utils                    ##################### [ 82/145] 
  Installing: cyrus-sasl-lib               ##################### [ 83/145] 
warning: %post(cyrus-sasl-lib-2.1.23-13.el6.i686) scriptlet failed, exit status 127
  Installing: mtools                       ##################### [ 84/145] 
warning: %post(mtools-4.0.12-1.el6.i686) scriptlet failed, exit status 127
  Installing: diffutils                    ##################### [ 85/145] 
warning: %post(diffutils-2.8.1-28.el6.i686) scriptlet failed, exit status 127
  Installing: which                        ##################### [ 86/145] 
warning: %post(which-2.19-6.el6.i686) scriptlet failed, exit status 127
  Installing: binutils                     ##################### [ 87/145] 
warning: %post(binutils-2.20.51.0.2-5.34.el6.i686) scriptlet failed, exit status 127
  Installing: ncurses                      ##################### [ 88/145] 
  Installing: groff                        ##################### [ 89/145] 
warning: %post(groff-1.18.1.4-21.el6.i686) scriptlet failed, exit status 127
  Installing: less                         ##################### [ 90/145] 
  Installing: coreutils-libs               ##################### [ 91/145] 
  Installing: gzip                         ##################### [ 92/145] 
warning: %post(gzip-1.3.12-18.el6.i686) scriptlet failed, exit status 127
  Installing: cracklib                     ##################### [ 93/145] 
warning: %post(cracklib-2.8.16-4.el6.i686) scriptlet failed, exit status 127
  Installing: cracklib-dicts               ##################### [ 94/145] 
error: %pre(coreutils-8.4-19.el6.i686) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping coreutils-8.4-19.el6
  Installing: pam                          ##################### [ 96/145] 
warning: %post(pam-1.1.1-10.el6_2.1.i686) scriptlet failed, exit status 127
error: %pre(module-init-tools-3.9-20.el6.i686) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping module-init-tools-3.9-20.el6
  Installing: redhat-logos                 ##################### [ 98/145] 
warning: %post(redhat-logos-60.0.14-11.el6.centos.noarch) scriptlet failed, exit status 127
  Installing: plymouth-scripts             ##################### [ 99/145] 
  Installing: hwdata                       ##################### [100/145] 
  Installing: nss                          ##################### [101/145] 
warning: %post(nss-3.13.3-6.el6.i686) scriptlet failed, exit status 127
  Installing: nss-sysinit                  ##################### [102/145] 
  Installing: nss-tools                    ##################### [103/145] 
  Installing: openldap                     ##################### [104/145] 
warning: %post(openldap-2.4.23-26.el6.i686) scriptlet failed, exit status 127
  Installing: libuser                      ##################### [105/145] 
warning: %post(libuser-0.56.13-5.el6.i686) scriptlet failed, exit status 127
  Installing: ustr                         ##################### [106/145] 
warning: %post(ustr-1.0.4-9.1.el6.i686) scriptlet failed, exit status 127
  Installing: libsemanage                  ##################### [107/145] 
warning: %post(libsemanage-2.0.43-4.1.el6.i686) scriptlet failed, exit status 127
  Installing: plymouth-core-libs           ##################### [108/145] 
warning: %post(plymouth-core-libs-0.8.3-24.el6.centos.i686) scriptlet failed, exit status 127
  Installing: keyutils-libs                ##################### [109/145] 
warning: %post(keyutils-libs-1.4-4.el6.i686) scriptlet failed, exit status 127
  Installing: krb5-libs                    ##################### [110/145] 
warning: %post(krb5-libs-1.9-33.el6.i686) scriptlet failed, exit status 127
  Installing: openssl                      ##################### [111/145] 
warning: %post(openssl-1.0.0-20.el6_2.5.i686) scriptlet failed, exit status 127
  Installing: libssh2                      ##################### [112/145] 
warning: %post(libssh2-1.2.2-7.el6_2.3.i686) scriptlet failed, exit status 127
  Installing: libcurl                      ##################### [113/145] 
warning: %post(libcurl-7.19.7-26.el6_2.4.i686) scriptlet failed, exit status 127
  Installing: curl                         ##################### [114/145] 
  Installing: rpm-libs                     ##################### [115/145] 
warning: %post(rpm-libs-4.8.0-27.el6.i686) scriptlet failed, exit status 127
  Installing: rpm                          ##################### [116/145] 
  Installing: pkgconfig                    ##################### [117/145] 
  Installing: mingetty                     ##################### [118/145] 
  Installing: slang                        ##################### [119/145] 
warning: %post(slang-2.2.1-1.el6.i686) scriptlet failed, exit status 127
  Installing: newt                         ##################### [120/145] 
warning: %post(newt-0.52.11-3.el6.i686) scriptlet failed, exit status 127
  Installing: libffi                       ##################### [121/145] 
warning: %post(libffi-3.0.5-3.2.el6.i686) scriptlet failed, exit status 127
  Installing: python-libs                  ##################### [122/145] 
warning: %post(python-libs-2.6.6-29.el6_2.2.i686) scriptlet failed, exit status 127
  Installing: python                       ##################### [123/145] 
  Installing: newt-python                  ##################### [124/145] 
  Installing: dash                         ##################### [125/145] 
  Installing: ethtool                      ##################### [126/145] 
  Installing: grub                         ##################### [127/145] 
warning: %post(grub-1:0.97-77.el6.i686) scriptlet failed, exit status 127
  Installing: xkeyboard-config             ##################### [128/145] 
  Installing: iputils                      ##################### [129/145] 
warning: %post(iputils-20071127-16.el6.i686) scriptlet failed, exit status 127
  Installing: util-linux-ng                ##################### [130/145] 
warning: %post(util-linux-ng-2.17.2-12.7.el6.i686) scriptlet failed, exit status 127
error: %pre(initscripts-9.03.31-2.el6.centos.i686) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping initscripts-9.03.31-2.el6.centos
error: %pre(udev-147-2.41.el6.i686) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping udev-147-2.41.el6
  Installing: device-mapper-libs           ##################### [133/145] 
warning: %post(device-mapper-libs-1.02.74-10.el6.i686) scriptlet failed, exit status 127
  Installing: device-mapper                ##################### [134/145] 
  Installing: kbd                          ##################### [135/145] 
  Installing: libdrm                       ##################### [136/145] 
warning: %post(libdrm-2.4.25-2.el6.i686) scriptlet failed, exit status 127
  Installing: plymouth                     ##################### [137/145] 
warning: %post(plymouth-0.8.3-24.el6.centos.i686) scriptlet failed, exit status 127
  Installing: dracut                       ##################### [138/145] 
  Installing: dracut-kernel                ##################### [139/145] 
  Installing: kernel                       ##################### [140/145] 
warning: %post(kernel-2.6.32-279.22.1.el6.centos.plus.i686) scriptlet failed, exit status 127
  Installing: parted                       ##################### [141/145] 
warning: %post(parted-2.1-18.el6.i686) scriptlet failed, exit status 127
  Installing: policycoreutils              ##################### [142/145] 
warning: %post(policycoreutils-2.0.83-19.24.el6.i686) scriptlet failed, exit status 127
  Installing: authconfig                   ##################### [143/145] 
  Installing: passwd                       ##################### [144/145] 
  Installing: syslinux                     ##################### [145/145] 
warning: %posttrans(rpm-4.8.0-27.el6.i686) scriptlet failed, exit status 127
warning: %posttrans(kernel-2.6.32-279.22.1.el6.centos.plus.i686) scriptlet failed, exit status 127
initscripts-9.03.31-2.el6.centos.i686 was supposed to be installed but is not!
udev-147-2.41.el6.i686 was supposed to be installed but is not!
coreutils-8.4-19.el6.i686 was supposed to be installed but is not!
module-init-tools-3.9-20.el6.i686 was supposed to be installed but is not!
libutempter-1.1.5-4.1.el6.i686 was supposed to be installed but is not!
MAKEDEV-3.24-6.el6.i686 was supposed to be installed but is not!
Error creating Live CD : Error configuring live image: No module named rhpl.keyboard
[root@localhost livecd]# 


<无标签>
举报
fuxunhao2006
发帖于5年前 2回/799阅
共有2个答案 最后回答: 5年前

这个是我的kickstart原文,应该没%post之类的啊

lang en_US.UTF-8
keyboard us
timezone US/Eastern
auth --useshadow --enablemd5
selinux --enforcing
firewall --disabled


repo --name=a-base    --baseurl=http://mirrors.163.com/centos/6.3/os/$basearch
repo --name=a-updates --baseurl=http://mirrors.163.com/centos/6.3/updates/$basearch
#repo --name=a-extras  --baseurl=http://mirrors.163.com/centos/6.3/extras/$basearch
repo --name=a-live    --baseurl=http://www.nanotechnologies.qc.ca/propos/linux/centos-live/$basearch/live


%packages
bash
kernel
syslinux
passwd
policycoreutils
chkconfig
authconfig
rootfiles
comps-extras
xkeyboard-config

顶部